      real*8 function gintv (g1,g2,eps)
C     integrates NeNeQ for vertical profile

      implicit real*8 (a-h,o-z)
      real*8 NeNeQ
      dimension hm(3),aep(3),bb(6)
      common /nepar/hm,aep,bb
         gint1 = 0.0D0
         n = 8
    1    h  =  (g2-g1) / dfloat(n)
        hh = 0.5D0*h
         g  = h*0.5773502691896D0
         y  = g1 + (h-g)*0.5D0
         gint2  =  NeNeQ(y,hm,aep,bb)+
     +             NeNeQ(y+g,hm,aep,bb)
         do m = 1,n-1
            gint2 = gint2 + NeNeQ(y+h+g,hm,aep,bb)+
     +                      NeNeQ(y+h,hm,aep,bb)
            y = y + h
         enddo
         gint2 = gint2*hh
         if (n.eq.8.or.abs(gint1-gint2).gt.eps*abs(gint1)) then
            n = n*2
            gint1 = gint2
            if (n.lt.1024) goto 1
         endif
         gintv = gint2+(gint2-gint1)/15.0D0
      return
      end
      